
#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys
import os
from PyQt4 import QtCore, QtGui
from wiimote import Ui_WiiMote

class StartQT4(QtGui.QMainWindow):
	def __init__(self, parent=None):
		QtGui.QWidget.__init__(self, parent)
		self.ui = Ui_WiiMote()
		self.ui.setupUi(self)
		QtCore.QObject.connect(self.ui.startwii,QtCore.SIGNAL("clicked()"), self.start_wii)
		QtCore.QObject.connect(self.ui.stopwii,QtCore.SIGNAL("clicked()"), self.stop_wii)
		QtCore.QObject.connect(self.ui.logwii,QtCore.SIGNAL("clicked()"), self.log_wii)

	def start_wii(self):
		file = os.popen('rm -f /var/log/wiistat.log; modprobe uinput; /usr/bin/wminput 2>&1 | cat > /var/log/wiistat.log&')

	def log_wii(self):
		self.filename = ('/var/log/wiistat.log')
                from os.path import isfile
                if isfile(self.filename):
                        import codecs
                        s = codecs.open(self.filename,'r','utf-8').read()
                        self.ui.textEdit.setPlainText(s)

	def stop_wii(self):
		file = os.popen('killall wminput 2>&1 | cat > /var/log/wiistat.log&')

if __name__ == "__main__":
	app = QtGui.QApplication(sys.argv)
	myapp = StartQT4()
	myapp.show()
	sys.exit(app.exec_())
